OtherRevRefs (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1.esf

## Class OtherRevRefs

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.OtherRevRefs

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OtherRevRefs
      extends ASN1Object

       OtherRevRefs ::= SEQUENCE {
         otherRevRefType OtherRevRefType,
         otherRevRefs ANY DEFINED BY otherRevRefType
       }

       OtherRevRefType ::= OBJECT IDENTIFIER

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherRevRefs(ASN1ObjectIdentifier otherRevRefType, ASN1Encodable otherRevRefs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OtherRevRefs` | `getInstance(java.lang.Object obj)`
    `ASN1Encodable` | `getOtherRevRefs()`
    `ASN1ObjectIdentifier` | `getOtherRevRefType()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherRevRefs

          public OtherRevRefs(ASN1ObjectIdentifier otherRevRefType,
                      ASN1Encodable otherRevRefs)

  - ### Method Detail

    - #### getInstance

          public static OtherRevRefs getInstance(java.lang.Object obj)

    - #### getOtherRevRefType

          public ASN1ObjectIdentifier getOtherRevRefType()

    - #### getOtherRevRefs

          public ASN1Encodable getOtherRevRefs()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.